Robotics Systems Commons - Bug #1305
Bug in Define Project Verison if SVN is used?
12/18/2012 05:27 PM - S. Wrede

Status: Resolved Start date: 12/18/2012
Priority: Normal Due date:

Assignee: J. Wienke % Done: 100%
Category: cmake Estimated time: 0.00 hour
Target version: rsb-0.9

Description

DEFINE_PROJECT_VERSION(RSB_CV_TOOLS_ ${VERSION_MAJOR} ${VERSION_MINOR} 0 "archive")

yields:

-- Found Subversion: /usr/bin/svn (found version "1.6.18")
-- This is rsb-cv-tools version: 0.8.0-SVN_WC_REVISION

?7?

Associated revisions

Revision 459b443f - 01/17/2013 08:59 AM - J. Wienke

Fix passing of SVN revision information through the CMake macros for
defining a project version,

fixes #1305

History

#1 - 12/18/2012 05:27 PM - S. Wrede

- Project changed from Robotics Service Bus to Robotics Systems Commons

- Category deleted (Configuration)

#2 - 12/19/2012 10:55 AM - J. Wienke

- File rsc.patch added

- Category set to cmake

- Status changed from New to In Progress

- Assignee set to J. Wienke
- Target version set to rsb-0.9

Can you please check whether the attached patch fixes the problem.

#3 - 01/07/2013 10:11 AM - J. Wienke

Ping? ;)
#4 - 01/17/2013 09:00 AM - J. Wienke

| have committed the patch. Please reopen if this does not work.

#5 - 01/17/2013 09:00 AM - J. Wienke

- Status changed from In Progress to Resolved
- % Done changed from 0 to 100

Applied in changeset rsclcommit:459b443f35c5126dd85094d26ae7fbb7e212be14.

Files
rsc.patch 704 Bytes 12/19/2012 J. Wienke
04/10/2024 22



